
using System;
using System.Drawing;

namespace nft.framework.drawing
{   
    /// <summary>
	/// ITexture の概要の説明です。
	/// </summary>
	public interface ITextureOld : IDrawable
	{
		Rectangle Boundary { get; }
		bool HitTest( Point pos );
	}

	public interface IStaticTexture : ITextureOld {
		Color ColorKey { get; set; }
		Point DrawOffset { get; }
		//Rectangle SourceRegion { get; }
		//ISurface SourceSurface { get; }
		void PickColorKeyFromSource( int x, int y );
        Bitmap CreateBitamap();
	}
}
